PHP Handbuch
Zurück |  | Weiter

# DOMCharacterData->substringData()

DOMCharacterData->substringData() -- Extracts a range of data from the node

## Beschreibung

class DOMCharacterData {
string substringData ( int offset, int count )
}

Returns the specified substring.

## Parameter Liste

offset

  Start offset of substring to extract.

count

  The number of characters to extract.

## Rückgabewerte

The specified substring. If the sum of offset and count exceeds the length, then all 16-bit units to the end of the data are returned.

## Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if offset is negative or greater than the number of 16-bit units in data, or if count is negative.

## Siehe auch

DOMCharacterData->appendData()
DOMCharacterData->deleteData()
DOMCharacterData->insertData()
DOMCharacterData->replaceData()

Zurück | Zum Anfang | Weiter
DOMCharacterData->replaceData() | Nach oben | DOMDocument->__construct()